
%define git g4717841

Name:	 qtchooser
Summary: Wrapper to select between Qt development binary versions
Version: 39
Release: 5%{?dist}

License: LGPLv2 or GPLv3
URL:	 http://macieira.org/qtchooser
Source0: http://macieira.org/qtchooser/qtchooser-%{version}-%{git}.tar.gz

# for %check
BuildRequires: qt4-devel

# profile.d snippets to add /usr/lib/qthcooser to $PATH
SOURCE10: qtchooser.sh
SOURCE11: qtchooser.csh

%description
Qt Chooser provides a wrapper to switch between versions of Qt development
binaries when multiple versions like 4 and 5 are installed or local Qt builds
are to be used.


%prep
%setup -q -n qtchooser-%{version}-%{git}


%build
make %{?_smp_mflags} \
  %{?optflags:CXXFLAGS="%{optflags}"} \
  %{?__global_ldflags:LFLAGS="%{__global_ldflags}"}


%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/etc/xdg/qtchooser

## env vars
#QT_SELECT
#QTCHOOSER_RUNTOOL

## HACK ALERT
# so, kde-sig decided putting this into %_bindir and using unconditionally is...
# problematic and unacceptable, so a compromise is to stuff this away so users
# can opt-in to use it
mkdir -p %{buildroot}%{_prefix}/lib/qtchooser
mv %{buildroot}%{_bindir}/* %{buildroot}%{_prefix}/lib/qtchooser/

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m644 -p %{SOURCE10} %{SOURCE11} \
  %{buildroot}%{_sysconfdir}/profile.d/


%check
PATH="%{_qt4_bindir}:$PATH" ; export PATH
make check


%files
%doc LGPL_EXCEPTION.txt LICENSE.GPL LICENSE.LGPL
%dir %{_sysconfdir}/xdg/qtchooser
%{_sysconfdir}/profile.d/qtchooser.*
%dir %{_prefix}/lib/qtchooser/
%{_prefix}/lib/qtchooser/qtchooser
%{_prefix}/lib/qtchooser/assistant
%{_prefix}/lib/qtchooser/designer
%{_prefix}/lib/qtchooser/lconvert
%{_prefix}/lib/qtchooser/linguist
%{_prefix}/lib/qtchooser/lrelease
%{_prefix}/lib/qtchooser/lupdate
%{_prefix}/lib/qtchooser/moc
%{_prefix}/lib/qtchooser/pixeltool
%{_prefix}/lib/qtchooser/qcollectiongenerator
%{_prefix}/lib/qtchooser/qdbus
%{_prefix}/lib/qtchooser/qdbuscpp2xml
%{_prefix}/lib/qtchooser/qdbusviewer
%{_prefix}/lib/qtchooser/qdbusxml2cpp
%{_prefix}/lib/qtchooser/qdoc
%{_prefix}/lib/qtchooser/qdoc3
%{_prefix}/lib/qtchooser/qglinfo
%{_prefix}/lib/qtchooser/qhelpconverter
%{_prefix}/lib/qtchooser/qhelpgenerator
%{_prefix}/lib/qtchooser/qmake
%{_prefix}/lib/qtchooser/qml
%{_prefix}/lib/qtchooser/qml1plugindump
%{_prefix}/lib/qtchooser/qmlbundle
%{_prefix}/lib/qtchooser/qmlmin
%{_prefix}/lib/qtchooser/qmlplugindump
%{_prefix}/lib/qtchooser/qmlprofiler
%{_prefix}/lib/qtchooser/qmlscene
%{_prefix}/lib/qtchooser/qmltestrunner
%{_prefix}/lib/qtchooser/qmlviewer
%{_prefix}/lib/qtchooser/qtconfig
%{_prefix}/lib/qtchooser/rcc
%{_prefix}/lib/qtchooser/uic
%{_prefix}/lib/qtchooser/uic3
%{_prefix}/lib/qtchooser/xmlpatterns
%{_prefix}/lib/qtchooser/xmlpatternsvalidator


%changelog
* Sun Oct 19 2014 Rex Dieter <rdieter@fedoraproject.org> 39-5
- own /usr/lib/qtchooser (#1154372)

* Thu Oct 16 2014 Rex Dieter <rdieter@fedoraproject.org> 39-4
- improve description/summary (#1153827)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Rex Dieter <rdieter@fedoraproject.org> 39-1
- qtchooser-39

* Sat May 18 2013 Rex Dieter <rdieter@fedoraproject.org> 31-1
- qtchooser-31

* Wed Mar 06 2013 Rex Dieter <rdieter@fedoraproject.org> 26-1
- qtchooser-26

* Thu Jan 24 2013 Rex Dieter <rdieter@fedoraproject.org> 9-2
- move binaries to /usr/lib/qtchooser, keeps this optional, allows
  users to install/opt-in instead

* Mon Dec 31 2012 Rex Dieter <rdieter@fedoraproject.org> 9-1
- first try
